otcldoc(1)

NAME
otcldoc - simple script for translating otcl classes into an html hyperlinked document

SYNOPSIS
otcldoc [-h index-header-file] [ -d output-dir ] [ -i index-file-name ] [ -c class-string ] files ...

DESCRIPTION
otcldoc simple script for translating otcl classes into an html hyperlinked document. Inspired by javadoc. Basic algorithm: for a given set of input files, find all Class definitions. Put the text in the comment immediately preceding the class def in the "description" section of the doc. Parse the Class definition to locate superclasses and at that to the "superclasses" section. Locate each method labeled as instproc, public, or private, and enter desriptions in the "Public/Private Methods" sections of the html doc.

AUTHOR
YunQiang Su <wzssyqa@gmail.com>

SEE ALSO